<?php
require_once get_template_directory().'/lib/load-core.php';

/* Setting the global variables used in the theme */
GLOBAL $swift_options,$swift_design_options,$swift_thumb_sizes;
$swift_options = get_option( 'swift_options' );
$swift_design_options = get_option( 'swift_design_options');
$swift_thumbnail_sizes = get_option( 'swift_dimensions');

 
/* remove default gallery styling*/
add_filter('gallery_style', create_function('$a', 'return preg_replace("%<style type=\'text/css\'>(.*?)</style>%s", "", $a);'));
?>
<?php 
if ( ! function_exists( 'swift_continue_reading_link' ) ):
/**
 * Returns a "Continue Reading" link for excerpts
 *
 * @since Swift 6.0
 * @return string "Continue Reading" link
 */
function swift_continue_reading_link() {
	echo ' <a href="'. get_permalink() . '" class="swift-sc-button small continue-reading alignright">' . __( '<span>Continue reading &rarr;</span>', 'swift' ) . '</a>';
}
endif;

add_action( 'wp_head', 'swift_cms_mode');

function swift_cms_mode(){
	if(!is_singular())
	return ;
	
	global $wp_query;
	// Removing wpautop
	if( (bool)get_post_meta( $wp_query->post->ID,'_swift_disable_oversmart_tinymce',true) ){
		remove_filter ('the_content',  'wpautop');
		
	}
	// Adding page specific CSS
	
	if( ($css = get_post_meta( $wp_query->post->ID,'_swift_page_css',true)) != ''){
		echo '<style>'.stripcslashes($css).'</style>';
	}
}


/*
 * Filter to get pass not so smart tinymce smartness :P
 */
add_filter('tiny_mce_before_init', create_function( '$a',
'$a["extended_valid_elements"] = "div[*]"; return $a;') );

/*
 * Load the buddyPress fucntions if buddypress is installed
 */
add_action( 'wp_head', 'bp_functions_init' );

function bp_functions_init(){
	if(function_exists('bp_is_blog_page') && !bp_is_blog_page())
	    require_once( THEME_DIR . '/bp-functions/functions.php' );
}
/*
 * 
 */

?>