<?php
/**
 * This file generates the stylesheet whenever the theme options are updated.
 */

//add_action( 'update_option_swift_design_options', 'swift_generate_stylesheet' );

function swift_generate_stylesheet(){
	GLOBAL $wp_filesystem;
	GLOBAL $font_stack;
	GLOBAL $swift_options;
	$d_o = get_option( 'swift_design_options' );
	$wrapper = $d_o[ 'wrapper_width' ];
	$content = (int)(.62*$wrapper);
	$columns = $d_o['cn_ws'] ;
	$css = '';

	
	if( $d_o['blog_or_mag'] == 'magazine-full' ){ 
		$temp_content = $wrapper;
	} else {
		$temp_content = $content;
	}
	/* As different browsers interpret fractions differently, we make sure that magboxes width 
	 * is always a integer.
	 * 
	 * $temp_content - 20px padding - padding of mag boxes
	 */
	
	$rogue_pixels = ( $temp_content - 20 - 20*( $columns - 1) ) % $columns;
	
	if ( $rogue_pixels != 0 ) {
		/*
		 * For full width magazing layout we change the wrapper width.
		 */
		
		if( $d_o['blog_or_mag'] == 'magazine-full' ){ 
			$temp_content = $wrapper = $wrapper + ( $columns - $rogue_pixels );
		} else {
			$temp_content = $content = $content + ( $columns - $rogue_pixels );
		}
	}
	
	/*
	 * Finally calculate the width of thumbnail and mag box
	 */
	$mag1 = ( $temp_content - 20 - ($columns -1 ) * 20 ) / $columns - 22;
	
	/*
	 * Add the width of magazine box to the options table, so that we can use it in
	 * the_post_thumbnail()
	 */
	$dimensions = get_option('swift_dimensions');
	
	if($d_o['enable_fixed_height_mag'])
		$dimensions['mag1'] = array( $mag1, (int)($mag1/1.62) );
	else
		$dimensions['mag1'] = array( $mag1, 0 );
	
	$sidebar = $wrapper - $content;
	if( $d_o['sb_position'] != 'centered'){
		$sb1 = (int) ( ($sidebar-20) * .62 );
		$sb2 = $sidebar-20 - $sb1;
	}else{
			$sb1 = (int) ( ($sidebar) * .62 );
		$sb2 = $sidebar - $sb1;	
	}	
	
	if($d_o['layout'] == 'fluid'){
		$css .= '#wrapper,.hybrid,#content.full-width{width:98%}';
		$css .= '#content.full-width img{max-width:96%;height:auto}';
	}elseif( $d_o['layout'] == 'hybrid'){
		$css .= '#wrapper{width:100%}';
		$css .= '.hybrid,#content.full-width{width:'.$wrapper.'px; margin:auto}';	
		$css .= '#content.full-width img{max-width:'.($wrapper-42).'px;height:auto}';
		
	}else{
		$css .= '#wrapper,#content.full-width{width:'.$wrapper.'px}';
		$css .= '#content.full-width img{max-width:'.($wrapper-42).'px;height:auto}';
	}
	
	if( $d_o['sb_position'] == 'centered' ){
		$css .= '	#left{float:right}
				#sb1 .div-content{margin-top:20px}
				#sb2 .div-content{margin-top:20px}';
	}elseif( $d_o['sb_position'] == 'left' ){
		$css .='#content{float:right}';
	}
	
	if($d_o['layout'] == 'fluid' && $d_o['sb_position'] == 'centered')
		$css .='#left{width:84.3%}
				#content{width:73.5%}
				#sb1{width:26.5%}
				#sb2{width:15.7%}
				#content .div-content{padding:0 10px}
				#sb1 .div-content{padding:0 10px!important;margin-top:20px}
				#sb2 .div-content{padding:0 10px!important;margin-top:20px}
				';
	
	$dimensions['content_width_slider'] = array($content-10, ( int ) ( ( $content-10 ) / 1.62 ) );
	
	if( $d_o['blog_or_mag'] == 'magazine-full' ){
		$css .= 'body.blog #content, body.archive #content{width:'.($temp_content).'px}';
		
	}
	$dimensions['full_width_slider'] = array($wrapper-20, (int)(($wrapper-20)/2) );
	
	if($d_o['layout'] != 'fluid'){		
		
		$css .= '#content{width:'.$content.'px}';
		$css .= '#sidebar-container,#about-us{width:'.$sidebar.'px}';
		$css .= '#sb1{width:'.$sb1.'px}';
		$css .= '#sb2{width:'.$sb2.'px}';
		$css .= '.mag1{width:'.$mag1.'px}';
		$css .= '.mag1 img.thumb{width:'.($mag1).'px;height:'.(int)($mag1/1.62).'px}';
		
		if($d_o['enable_fixed_height_mag']){
		$css .= '.mag1 .entry-summary{width:'.($mag1).'px;height:'.$d_o['mag_content_height'].'px;overflow:hidden}';
		$css .= '.mag1{float:left;margin-right:20px}
				 .mag1.omega{margin-right:0}';
		}
		
		$dimensions['content'] 	= $content - 10;
		$dimensions['wsb'] 		= $sidebar - 10;
		$dimensions['sb1'] 		= $sb1 - 10;
		$dimensions['sb2'] 		= $sb2 - 10;
		
		$temp = ($wrapper)*.8*.6 - 22;
		
		$dimensions['np_slider'] 		= array( (int)$temp, (int)($temp/1.62) );
		
		update_option( 'swift_dimensions', $dimensions );
		$css .= 'body.bbPress #content,body.buddyPress #content{width:'.(int)($wrapper*(.7)).'px}';
		$css .= 'body.bbPress #sidebar-container,body.buddyPress #sidebar-container{width:'.($wrapper - (int)($wrapper*.7)).'px}';
		
		$css .= "#full-width-slider{width:{$dimensions['full_width_slider'][0]}px!important;height:{$dimensions['full_width_slider'][1]}px}";
		$css .= "#content-width-slider{width:".($dimensions['content_width_slider'][0]-10)."px!important;height:{$dimensions['content_width_slider'][1]}px}";
	}else{
		$css .= '.mag1{width:'.((90-$columns*2)/$columns).'%;margin:1%;height:480px;overflow:hidden}';
		$css .= '.mag1 img.mag-thumbnail{width:100%;height:auto}';
		
	}
	
	if( isset($swift_options['logo']) ){
		if( isset($swift_options['logo_position']) && $swift_options['logo_position'] == 'center'){
			$size = getimagesize($swift_options['logo']);
			$css .= 'img#logo{margin:auto;display:block;width:'.$size[0].'px;height:'.$size[1].'px}';
			
			$css .= '#branding hgroup{text-align:center;width:100%}';
			
		}else{
			$css .= 'img#logo{float:'.$swift_options['logo_position'].';}';
		}
	}
	
	/* nagative margin will overlap with isdebars in centered and left sidebars layout
	 * This is a fix for it.
	 */
	if( $d_o['sb_position'] != 'right' ){
		$css .= 'li.comment .avatar{padding:5px!important; background:#EEE;float:left;margin:0 10px 0 0;width:32px;height:32px;}';
	}
	
	/*
	 * Adding the navigation CSS
	 */
	
	if( $d_o['nav_style'] == 'bordered' ){
		$filename = THEME_DIR .'/css/bordered-nav.css';
	}else{
		$filename = THEME_DIR .'/css/solid-nav.css';
	}
	$css .= $wp_filesystem->get_contents( $filename ) ;
	
	/*
	 * Adding shortcodes CSS
	 */
	$filename = THEME_DIR .'/css/shortcodes.css';
	//$css .= $wp_filesystem->get_contents( $filename ) ;
	
	
	
	if( isset( $d_o['enable_custom_colors'] ) && $d_o['enable_custom_colors'] ):
	/* Layout and default colors */
	$css .= 'body{background:#'.$d_o['body_bg'].';color:#'.$d_o['body'].';}';
	$css .= 'body a{color:#'.$d_o['body_a'].';}';
	$css .= 'body a:hover,body a:visited:hover{color:#'.$d_o['body_a_h'].';}';
	//$css .= 'body a:visited{color:#'.$d_o['body_a_v'].';}';
	$css .= '#wrapper{background:#'.$d_o['wrapper_bg'].';}';
	$css .= '#sidebar-container{background:#'.$d_o['sb_bg'].';}';	
	$css .= '#footer-container{background:#'.$d_o['fo_bg'].';}';	
	$css .= '#copyright-container{background:#'.$d_o['copy_bg'].';}';
	$css .= '#nav-ad-container{background:#'.$d_o['nav_ad_bg'].';}';
	$css .= '#footer-ad-container{background:#'.$d_o['fo_ad_bg'].';}';

	
	/* Header and nav menu colors */
	$css .= '#header-container{background:#'.$d_o['header_bg'].';}';
	$css .= '#site-title a{color:#'.$d_o['blog_name'].';}';
	$css .= '#site-description {color:#'.$d_o['blog_tagline'].';}';
	
	/* Bordered nav styling */
	if($d_o['nav_style'] == 'bordered'):
	$css .= '#above-logo-container,#below-logo-container{background:#'.$d_o['nav_bg'].';}';
	$css .= '#above-logo-container{border-bottom:solid 5px #'.$d_o['nav_thick_border'].';}';
	$css .= '#below-logo-container{border-bottom:solid 1px #'.$d_o['nav_thin_border'].';border-top:solid 5px #'.$d_o['nav_thick_border'].'}';
	$css .= '.nav li a,#rss-links li a {color:#'.$d_o['nav_menu_a'].';background:#'.$d_o['nav_menu_a_bg'].';border-color:#'.$d_o['nav_menu_a_bg'].'}';
	$css .= '.nav li a:hover,#rss-links li a:hover{color:#'.$d_o['nav_menu_a_h'].';border-color:#'.$d_o['nav_menu_a_sep'].'!important}';
	$css .= '.nav li a:hover,.nav li:hover a {background:#'.$d_o['nav_menu_a_h_bg'].'}';
	$css .= '.nav li:hover a,.nav ul{border-color:#'.$d_o['nav_thick_border'].';}';
	$css .=  '.nav li:hover ul a{color:#'.$d_o['nav_menu_dropdown_a'].';background:#'.$d_o['nav_menu_dropdown_a_bg'].'}';
	$css .=  '.nav li:hover ul a:hover{color:#'.$d_o['nav_menu_dropdown_a_h'].';background:#'.$d_o['nav_menu_dropdown_a_h_bg'].'}';
	
	else:
	$css .= '#above-logo-container,#below-logo-container{background:#'.$d_o['nav1_bg'].';}';
	$css .= '.nav li a,#rss-links li a {color:#'.$d_o['nav1_menu_a'].';background:#'.$d_o['nav1_menu_a_bg'].';}';
	$css .= '.nav li a:hover,#rss-links li a:hover{color:#'.$d_o['nav1_menu_a_h'].';}';
	$css .= '.nav li a:hover,.nav li:hover a {background:#'.$d_o['nav1_menu_a_h_bg'].'}';
	$css .=  '.nav li:hover ul {background:#'.$d_o['nav1_menu_a_h_bg'].'}';
	$css .=  '.nav li:hover ul a{background:#'.$d_o['nav1_menu_dropdown_a_bg'].';color:#'.$d_o['nav1_menu_dropdown_a'].'}';
	$css .=  '.nav li:hover ul a:hover{background:#'.$d_o['nav1_menu_dropdown_a_h_bg'].';}';
	$css .=  '.nav li:hover ul a:hover{color:#'.$d_o['nav1_menu_dropdown_a_h'].';background:#'.$d_o['nav1_menu_dropdown_a_h_bg'].'}';
	
	
	endif;
	
	
	/* Sidebar widget colors */
	$css .= '.widget{background:#'.$d_o['sb_w_bg'].';border-color:#'.$d_o['sb_w_border'].';color:#'.$d_o['sb_w'].';}';
	$css .= '.widget a{color:#'.$d_o['sb_w_a'].';}';
	$css .= '.widget a:hover{color:#'.$d_o['sb_w_a_h'].';}';
	$css .= 'p.widget-title{background:#'.$d_o['sb_w_title_bg'].';color:#'.$d_o['sb_w_title'].';border-color:#'.$d_o['sb_w_border'].'}';
	$css .= '.widget li:hover{background:#'.$d_o['sb_w_li_hover_bg'].';}';
	
	/* Footer widget colors */
	$css .= '#footer .widget{background:#'.$d_o['fo_w_bg'].';border-color:#'.$d_o['fo_w_border'].';color:#'.$d_o['fo_w'].';}';
	$css .= '#footer .widget a{color:#'.$d_o['fo_w'].';}';
	$css .= '#footer .widget a:hover{color:#'.$d_o['fo_w_a_h'].';}';
	$css .= '#footer p.widget-title{background:#'.$d_o['fo_w_title_bg'].';border-color:#'.$d_o['fo_w_border'].';color:#'.$d_o['fo_w_title'].';}';
	$css .= '#footer .widget li:hover{background:#'.$d_o['fo_w_li_hover_bg'].';}';
	
	/* Comments colors */
	$css .= 'li.comment,
			 li.pingback{background:#'.$d_o['comment_bg'].';border-color:#'.$d_o['comment_border'].';color:#'.$d_o['comment'].';}';
	$css .= 'li.comment a,
			 li.pingback a{color:#'.$d_o['comment_a'].';}';
	
	
	$css .= 'li.comment a:hover,
			 li.pingback a:hover{color:#'.$d_o['comment_a_h'].';}';
	
	$css .= 'li.comment .avatar{background:#'.$d_o['comment_border'].';}'; //Avatar background is same as comemnt border
	
	
	$css .= 'li.comment.bypostauthor,
			 ul.children li.comment.bypostauthor{border-left-color:#'.$d_o['author_comment_bg'].';}';
	$css .= 'li.comment.bypostauthor .postauthor-avatar .avatar{background:#'.$d_o['author_comment_bg'].'!important;}';
	/*
	$css .= '.reply{background:#'.$d_o['comment_reply_bg'].';}';
	$css .= '.reply a{color:#'.$d_o['comment_reply'].';}';
	$css .= '.reply:hover{background:#'.$d_o['comment_reply_h_bg'].';}';
	*/
	$css .= '#respond{background:#'.$d_o['comment_form_bg'].';}';
	$css .= '#commentform input,
			 #commentform textarea{background:#'.$d_o['comment_form_field_bg'].';border-color:#'.$d_o['comment_form_field_border'].'}';
	
	
	/* Copyright colors */
	
	$css .='#copyright-container{border-color:#'.$d_o['copyright_border'].';color:#'.$d_o['copyright'].'}';
	$css .='#copyright-container a{color:#'.$d_o['copyright_a'].'}';
	$css .='#copyright-container a:hover{color:#'.$d_o['copyright_a_h'].'}';
	
	
	/* Magazine boxes */
	
	$css .= "article.mag1{background:#{$d_o['mag1_bg']};border-color:#{$d_o['mag1_border']};}";
	$css .= "article.mag1 img{background:#{$d_o['mag1_thumb_bg']};}";
	$css .= "article.mag1 footer{background:#{$d_o['mag1_footer_bg']};}";

	$css .= "#rp-sm{background:#{$d_o['rp_bg']};border-color:#{$d_o['post_nav_bg']};}";
	$css .= "#nav-single{background:#{$d_o['post_nav_bg']};}";
	$css .= "#nav-single a{background:#{$d_o['post_nav_a_bg']};color:#{$d_o['post_nav_a']};border:none}";
	$css .= "#nav-single a:hover{background:#{$d_o['post_nav_a_hover_bg']};}";
	$css .= "#related-posts li a.post-title{color:#{$d_o['rp_a']};}";
	$css .= "#related-posts .posted-on,
			 #related-posts .posted-on a{color:#{$d_o['rp_meta']}}";
	$css .= "#related-posts img{background:#{$d_o['rp_thumb_bg']};border-color:#{$d_o['rp_thumb_border']}}";

	/* Author BIO */

	$css .= "#author-info{background:#{$d_o['ab_bg']};border-color:#{$d_o['ab_border']};color:#{$d_o['ab']};}";
	$css .= "#author-info a{color:#{$d_o['ab_a']};}";
	$css .= "#author-info a:hover{color:#{$d_o['ab_a_hover']};}";
	$css .= "footer #author-info .avatar{background:#{$d_o['ab_avatar_bg']};}";
	
	/* Generic elements */
	$css .= "a.swift-sc-button,a.comment-reply-link,
	#commentform input#submit,#searchsubmit {border: 1px solid #{$d_o['button_border']};border-bottom-color: #{$d_o['button_bottom_border']};
	color: #{$d_o['button_text']} !important;

	
	/*Background*/
	background-color: #{$d_o['button_bg']}; /*Fallback*/
	background: -webkit-gradient(
					linear,
					left top,
					left bottom,
					color-stop(.2, #{$d_o['button_gradient_start']}),
					color-stop(1, #{$d_o['button_gradient_stop']})
				);
	background: -moz-linear-gradient(
					center top,
					#{$d_o['button_gradient_start']} 20%,
					#{$d_o['button_gradient_stop']} 100%
				);
		}";
		
	endif;

	/* Fonts */
	
		/* Background images */
	if( isset( $d_o['body_bg_image'] ) && $d_o['body_bg_image'] )
	$css .= 'body{background:#'.$d_o['body_bg'].' url("'.$d_o['body_bg_image'].'") '.$d_o['body_bg_image_repeat'].' '.$d_o['body_bg_image_p_t'].' '.$d_o['body_bg_image_p_l'].' ;}'."\n";
	
	if( isset( $d_o['wrapper_bg_image'] ) && $d_o['wrapper_bg_image'] )
	$css .= '#wrapper{background:#'.$d_o['wrapper_bg'].' url("'.$d_o['wrapper_bg_image'].'") '.$d_o['wrapper_bg_image_repeat'].' '.$d_o['wrapper_bg_image_p_t'].' '.$d_o['wrapper_bg_image_p_l'].' ;}'."\n";
	
	if( isset( $d_o['main_bg_image'] ) && $d_o['main_bg_image'] )
	$css .= '#main{background:#'.$d_o['main_bg'].' url("'.$d_o['main_bg_image'].'") '.$d_o['main_bg_image_repeat'].' '.$d_o['main_bg_image_p_t'].' '.$d_o['main_bg_image_p_l'].' ;}'."\n";
	
	if( isset( $d_o['header_bg_image'] ) && $d_o['header_bg_image'] )
	$css .= '#header-container{background:#'.$d_o['header_bg'].' url("'.$d_o['header_bg_image'].'") '.$d_o['header_bg_image_repeat'].' '.$d_o['header_bg_image_p_l'].' '.$d_o['header_bg_image_p_t'].' ;}'."\n";
	
	if( isset( $d_o['sidebar_bg_image'] ) && $d_o['sidebar_bg_image'] )
	$css .= '#sidebar-container{background:#'.$d_o['sb_bg'].' url("'.$d_o['sidebar_bg_image'].'") '.$d_o['sidebar_bg_image_repeat'].' '.$d_o['sidebar_bg_image_p_t'].' '.$d_o['sidebar_bg_image_p_l'].' ;}'."\n";
	
	if( isset( $d_o['footer_bg_image'] ) && $d_o['footer_bg_image'] )
	$css .= '#footer-container{background:#'.$d_o['fo_bg'].' url("'.$d_o['footer_bg_image'].'") '.$d_o['footer_bg_image_repeat'].' '.$d_o['footer_bg_image_p_t'].' '.$d_o['footer_bg_image_p_l'].' ;}'."\n";
	
	
	if( $d_o['bordered_nav_border_remove'] )
	$css .= '#above-logo-container,#below-logo-container{border-width:0}';
	
	/* Rounded corners */
	if( isset( $d_o['solid_nav_rounded']) && !$d_o['solid_nav_rounded'] )
	$css .= '#above-logo-container,#below-logo-container{border-radius:0;-moz-border-radius: 0 ;-webkit-border-radius:0;}';
	
	if( isset( $d_o['sb_widget_rounded'] ) && $d_o['sb_widget_rounded'] )
	$css .= '.widget{border-radius:5px;-moz-border-radius: 5px ;-webkit-border-radius: 5px;}';
	
	if( isset( $d_o['footer_widget_rounded'] ) && $d_o['footer_widget_rounded'] )
	$css .= '#footer .widget{border-radius:5px;-moz-border-radius: 5px ;-webkit-border-radius: 5px;}';
	
	if( isset( $d_o['comment_rounded'] ) && $d_o['comment_rounded'] ){	
		$css .= 'li.comment,li.pingback,li.comment .avatar{border-radius:5px;-moz-border-radius: 5px ;-webkit-border-radius: 5px;}';
		
	}
	
	
	/* User CSS */
	if( isset( $d_o['enable_user_css'] ) && $d_o['enable_user_css'] ){
		$css .= $d_o['user_css'];
	}
	
	return $css;
	
}