<?php 
/**
 * Swift design options initialization
 * 
 * We define our theme design options array here.
 */
GLOBAL $swift_design_options_init, $swift_options_init;

$swift_design_options_init[] = array( 'name' => __( 'tag', 'swift' ),
					'id' => 'which',
					'value' => 'design_options',
					'type' => 'hidden',
					'datatype' => 'hiddden');

$swift_design_options_init[] = array( 'name' => __( 'Layout options', 'swift' ),
					'id' => 'layout-options',
					'type' => 'heading',
					'datatype' => 'none');

$swift_design_options_init[] = array( 'name' => __('Layout width', 'swift' ),
					'desc' => __('Swift default layout width is 956px and is optimized for widths in 960 &plusmn; 20px range. However, you are free to use any width. Enter the site width above without units.', 'swift' ),
					'id' => 'wrapper_width',
					'default' => '956',
					'type' => 'text',
					'datatype' => 'int');

$swift_design_options_init[] = array( 'name' => 'Backgrounds usage', 'swift',
					'id' => 'layout-explanation',
                    'type' => 'explain',
					'desc' => ' * A fluid layout will fill the entire screen. While it looks good on small screens, it will be difficult to read the posts on large monitors 
								as it requires the user to move his head also <strong>sliders and magazine layout won\'t work</strong> with fluid layout. Select only if you know what you are doing.<br>
								* Fixed layout is centered with empty space on either side.<br>
								* Hybrid layout is a mix of fixed and fluid. Header and footer are fluid with content in them centered
								 and the actual content area is same as fixed layout.',
					'datatype' => 'none' ); 

$swift_design_options_init[] = array( 'name' => __( 'Layout type', 'swift' ),
					'desc' => __( 'Pick a layout type.', 'swift' ),
					'id' => 'layout',
					'default' => 'fixed',
					'type' => 'radio',
					'options' => array( 'fluid' => 'fluid', 'fixed' => 'fixed','hybrid' => 'hybrid' ),
					'datatype' => 'predefined' );

$swift_design_options_init[] = array( 'name' => __( 'Navigation style', 'swift' ),
					'desc' => __( 'Select a navigation style.', 'swift' ),
					'id' => 'nav_style',
					'default' => 'bordered',
					'type' => 'radio',
					'options' => array( 'bordered' => 'bordered' ),
					'datatype' => 'predefined' );

$swift_design_options_init[] = array(  'name' => __( 'Remove borders from the above bordered navigation.', 'swift' ),
        			'desc' => __( 'Check this box to remove the borders', 'swift' ),
        			'id' => 'bordered_nav_border_remove',
        			'type' => 'checkbox',
        			'default' => false,
					'datatype' => 'bool' );


$swift_design_options_init[] = array(  'name' => __( 'Animate dropdowns', 'swift' ),
        			'desc' => __( 'Check this box to enable animation for dropdown menus', 'swift' ),
        			'id' => 'dropdown_animation_enable',
        			'type' => 'checkbox',
        			'default' => true,
					'datatype' => 'bool' );

$swift_design_options_init[] = array( 'name' => __( 'Sidebar position', 'swift' ),
					'desc' => __( 'Select the sidebar position here, if you want only one sidebar don\'t add widgets to the narrow sidebars.', 'swift' ),
					'id' => 'sb_position',
					'default' => 'right',
					'type' => 'radio',
					'options' => array( 'right' => 'right', 'left' => 'left' ),
					'datatype' => 'predefined' );

$swift_design_options_init[] = array( 'name' => __( 'Blog and archives layout', 'swift' ), 
					'desc' => __('Select the layout type for blog and archives page.', 'swift'),
					'id' => 'blog_or_mag',
					'default' => 'blog',
					'type' => 'radio',
					'options' => array( 'magazine'=>'magazine', 'blog' => 'blog'),
					'datatype' => 'predefined');


$swift_design_options_init[] = array( 'name' => __( 'Number of columns for magazine layout with sidebar', 'swift' ), 
					'desc' => __('If you selected the magazine layout in the above option, you can set the number of columns here.', 'swift'),
					'id' => 'cn_ws',
					'default' => '2',
					'type' => 'radio',
					'options' => array( 2 => 2, 3 => 3 ),
					'datatype' => 'predefined');


$swift_design_options_init[] = array(  'name' => __( 'Display excerpts in magazine layout', 'swift' ),
        			'desc' => __( 'Check this box if you want to show exceprts in magazine layout.', 'swift' ),
        			'id' => 'mag_excerpts_enable',
        			'type' => 'checkbox',
        			'default' => true,
					'datatype' => 'bool' );

$swift_design_options_init[] = array(  'name' => __( 'Disable masonry and set all magazine boxes to the same height', 'swift' ),
        			'desc' => __( 'Checking this box will make all the magazine boxes even, and the thumbnails will be cropped.', 'swift' ),
        			'id' => 'enable_fixed_height_mag',
        			'type' => 'checkbox',
        			'default' => true,
					'datatype' => 'bool' ); 


$swift_design_options_init[] = array( 'name' => __( 'Height of magazine box content', 'swift' ),
					'desc' => __( 'Enter the maximum height of magazine box content.', 'swift' ),
					'id' => 'mag_content_height',
					'default' => '300',
					'type' => 'text',
					'datatype'=>'int');

$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Closing general-settings

$swift_design_options_init[] = array( 'name' => __( 'Background images', 'swift' ),
					'id' => 'background-images',
					'type' => 'heading',
					'datatype' => 'none');

$swift_design_options_init[] = array( 'name' => 'Backgrounds usage', 'swift',
					'id' => 'backgrounds-explanation',
                    'type' => 'explain',
					'desc' => '	You can set the backgrounds of various layout elements here. To set the position of the background, enter the top and left values along with units <strong>Example: 100px or 20%</strong>',
					'datatype' => 'none' ); 


$swift_design_options_init[] = array( 'name' => __( 'Body background', 'swift' ),
					'desc' => __( 'Enter the URL of the image to be used as the body background.', 'swift' ),
					'id' => 'body_bg_image',
					'default' => '',
					'type' => 'upload',
					'datatype'=>'background');

$swift_design_options_init[] = array( 'name' => __( 'Wrapper background', 'swift' ),
					'desc' => __( 'Enter the URL of the image to be used as the wrapper background.<br />Wrapper is the div that holds the header, content, sidebars and footer.<br /> If you are using hybrid or fluid layout, wrapper will be same as body.', 'swift' ),
					'id' => 'wrapper_bg_image',
					'default' => '',
					'type' => 'upload',
					'datatype'=>'background');

$swift_design_options_init[] = array( 'name' => __( 'Main background', 'swift' ),
					'desc' => __( 'Enter the URL of the image to be used as the content background ( background for the div that holds posts and the sidebar ).', 'swift' ),
					'id' => 'main_bg_image',
					'default' => '',
					'type' => 'upload',
					'datatype'=>'background');

$swift_design_options_init[] = array( 'name' => __( 'Header background', 'swift' ),
					'desc' => __( 'Enter the URL of the image to be used as the header background.', 'swift' ),
					'id' => 'header_bg_image',
					'default' => '',
					'type' => 'upload',
					'datatype'=>'background');


$swift_design_options_init[] = array( 'name' => __('Header height', 'swift' ),
					'desc' => __('If your header background is not completely visible, set the header height equal to the height of background image', 'swift' ),
					'id' => 'header-height',
					'default' => '',
					'type' => 'text',
					'datatype' => 'int');


$swift_design_options_init[] = array( 'name' => __( 'Sidebar background', 'swift' ),
					'desc' => __( 'Enter the URL of the image to be used as the sidebar background.', 'swift' ),
					'id' => 'sidebar_bg_image',
					'default' => '',
					'type' => 'upload',
					'datatype'=>'background');

$swift_design_options_init[] = array( 'name' => __( 'Footer background', 'swift' ),
					'desc' => __( 'Enter the URL of the image to be used as the footer background.', 'swift' ),
					'id' => 'footer_bg_image',
					'default' => '',
					'type' => 'upload',
					'datatype'=>'background');

$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Closing general-settings

$swift_design_options_init[] = array( 'name' => __( 'Color options', 'swift' ),
					'id' => 'color-options',
					'type' => 'heading',
					'datatype' => 'none');

$swift_design_options_init[] = 'color_options_start';

$swift_design_options_init[] = array( 'name' => __( 'Enable custom colors', 'swift' ),
					'id' => 'enable_custom_colors',
					'desc' => __('Check this box to enable custom colors', 'swift' ),
					'default' => FALSE,
					'type' => 'checkbox',
					'datatype' => 'bool');

$swift_design_options_init[] = array( 'name' => __( 'Layout & default colours', 'swift' ),
					'id' => 'default-colors',
					'desc' => __('', 'swift' ),
					'type' => 'sub-heading',
					'datatype' => 'none');


$swift_design_options_init[] = array( 'name' => __('Body background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'body_bg',
					'default' => 'EEE',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Wrapper background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'wrapper_bg',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Content + Sidebar bg', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'main_bg',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Sidebar background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'sb_bg',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Footer background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'fo_bg',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');


$swift_design_options_init[] = array( 'name' => __('AD below header background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav_ad_bg',
					'default' => 'f6f6f6',
					'type' => 'color',
					'datatype' => 'color');


$swift_design_options_init[] = array( 'name' => __('Footer AD background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'fo_ad_bg',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Copyright background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'copy_bg',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Text color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'body',
					'default' => '434343',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'body_a',
					'default' => '000',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link hover color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'body_a_h',
					'default' => 'C00',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Default colors


$swift_design_options_init[] = array( 'name' => __( 'Header colours', 'swift' ),
					'id' => 'navigation-colors',
					'desc' => __('', 'swift' ),
					'type' => 'sub-heading',
					'datatype' => 'none');

$swift_design_options_init[] = array( 'name' => __('Header background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'header_bg',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Blog name color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'blog_name',
					'default' => '000',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Tag line color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'blog_tagline',
					'default' => 'CCC',
					'type' => 'color',
					'datatype' => 'color');



$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Navigation colors


$swift_design_options_init[] = array( 'name' => __( 'Bordered nav menu colours', 'swift' ),
					'id' => 'navigation-colors',
					'desc' => __('', 'swift' ),
					'type' => 'sub-heading',
					'datatype' => 'none');


$swift_design_options_init[] = array( 'name' => __('Navigation background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav_bg',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Thick border color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav_thick_border',
					'default' => 'DBDBDB',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Thin border color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav_thin_border',
					'default' => 'DBDBDB',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav_menu_a',
					'default' => '000',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav_menu_a_bg',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link seperator ( On hover )', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav_menu_a_sep',
					'default' => 'DBDBDB',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link hover color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav_menu_a_h',
					'default' => 'C00',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link hover background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav_menu_a_h_bg',
					'default' => 'DBDBDB',
					'type' => 'color',
					'datatype' => 'color');


$swift_design_options_init[] = array( 'name' => __('Dropdown links color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav_menu_dropdown_a',
					'default' => '000',
					'type' => 'color',
					'datatype' => 'color');


$swift_design_options_init[] = array( 'name' => __('Dropdown links hover color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav_menu_dropdown_a_h',
					'default' => 'C00',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Dropdown links bg', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav_menu_dropdown_a_bg',
					'default' => 'DBDBDB',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Menu dropdown links hover bg', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav_menu_dropdown_a_h_bg',
					'default' => 'CCC',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Navigation colors

$swift_design_options_init[] = array( 'name' => __( 'Solid nav menu colours', 'swift' ),
					'id' => 'navigation-colors',
					'desc' => __('', 'swift' ),
					'type' => 'sub-heading',
					'datatype' => 'none');


$swift_design_options_init[] = array( 'name' => __('Navigation background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav1_bg',
					'default' => '333',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav1_menu_a',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav1_menu_a_bg',
					'default' => '333',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link hover color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav1_menu_a_h',
					'default' => 'C00',
					'type' => 'color',
					'datatype' => 'color');


$swift_design_options_init[] = array( 'name' => __('Link hover background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav1_menu_a_h_bg',
					'default' => '222',
					'type' => 'color',
					'datatype' => 'color');


$swift_design_options_init[] = array( 'name' => __('Dropdown links color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav1_menu_dropdown_a',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');


$swift_design_options_init[] = array( 'name' => __('Dropdown links bg', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav1_menu_dropdown_a_bg',
					'default' => '222',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Dropdown links hover color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav1_menu_dropdown_a_h',
					'default' => 'C00',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Dropdown links hover bg', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'nav1_menu_dropdown_a_h_bg',
					'default' => '000',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Navigation colors

$swift_design_options_init[] = array( 'name' => __( 'Sidebar widget colors', 'swift' ),
					'id' => 'sidebar-colors',
					'desc' => __('', 'swift' ),
					'type' => 'sub-heading',
					'datatype' => 'none');

$swift_design_options_init[] = array( 'name' => __('Background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'sb_w_bg',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Border', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'sb_w_border',
					'default' => 'DDD',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Title background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'sb_w_title_bg',
					'default' => 'f6f6f6',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Title text color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'sb_w_title',
					'default' => '000',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Text color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'sb_w',
					'default' => '434343',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'sb_w_a',
					'default' => '000',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link hover color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'sb_w_a_h',
					'default' => 'C00',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('List hover background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'sb_w_li_hover_bg',
					'default' => 'EEE',
					'type' => 'color',
					'datatype' => 'color');


$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Sidebar colors

$swift_design_options_init[] = array( 'name' => __( 'Footer widget colors', 'swift' ),
					'id' => 'fo_colors',
					'desc' => __('', 'swift' ),
					'type' => 'sub-heading',
					'datatype' => 'none');

$swift_design_options_init[] = array( 'name' => __('Background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'fo_w_bg',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');


$swift_design_options_init[] = array( 'name' => __('Border', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'fo_w_border',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Title background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'fo_w_title_bg',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Title text color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'fo_w_title',
					'default' => '000',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Text color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'fo_w',
					'default' => '434343',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'fo_w_a',
					'default' => '000',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link hover color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'fo_w_a_h',
					'default' => 'C00',
					'type' => 'color',
					'datatype' => 'color');


$swift_design_options_init[] = array( 'name' => __('List hover background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'fo_w_li_hover_bg',
					'default' => 'f6f6f6',
					'type' => 'color',
					'datatype' => 'color');


$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Footer colors



$swift_design_options_init[] = array( 'name' => __( 'Comments colors', 'swift' ),
					'id' => 'comemnt-colors',
					'desc' => __('', 'swift' ),
					'type' => 'sub-heading',
					'datatype' => 'none');

$swift_design_options_init[] = array( 'name' => __('Comments background color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'comment_bg',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Comments border color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'comment_border',
					'default' => 'EEE',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Comments text color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'comment',
					'default' => '434343',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'comment_a',
					'default' => '000',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link hover color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'comment_a_h',
					'default' => 'C00',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Author comment highlighter', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'author_comment_bg',
					'default' => '627BAE',
					'type' => 'color',
					'datatype' => 'color');
/*
$swift_design_options_init[] = array( 'name' => __('Reply buttom background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'comment_reply_bg',
					'default' => '444',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Reply buttom hover bg', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'comment_reply_h_bg',
					'default' => '000',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Reply buttom text color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'comment_reply',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');
*/
$swift_design_options_init[] = array( 'name' => __('Comment form background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'comment_form_bg',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Comment form input fields bg', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'comment_form_field_bg',
					'default' => 'F6F6F6',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Comment form fields border', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'comment_form_field_border',
					'default' => 'DDD',
					'type' => 'color',
					'datatype' => 'color');


$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Sidebar colors



$swift_design_options_init[] = array( 'name' => __( 'Copyright colors', 'swift' ),
					'id' => 'copyright-colors',
					'desc' => __('', 'swift' ),
					'type' => 'sub-heading',
					'datatype' => 'none');

$swift_design_options_init[] = array( 'name' => __('Top border color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'copyright_border',
					'default' => 'DBDBDB',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Text color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'copyright',
					'default' => '666',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'copyright_a',
					'default' => '000',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Link hover color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'copyright_a_h',
					'default' => 'C00',
					'type' => 'color',
					'datatype' => 'color');



$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Copyright colors


$swift_design_options_init[] = array( 'name' => __( 'Posts nav and related posts', 'swift' ),
					'id' => 'rp-colors',
					'desc' => __('', 'swift' ),
					'type' => 'sub-heading',
					'datatype' => 'none');

$swift_design_options_init[] = array( 'name' => __('Post navigation background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'post_nav_bg',
					'default' => '666',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Post navigation link bg', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'post_nav_a_bg',
					'default' => '606060',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Post navigation link hover bg', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'post_nav_a_hover_bg',
					'default' => '555',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Post navigation link hover background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'post_nav_a',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Related posts background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'rp_bg',
					'default' => 'f8f8f8',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __( 'Post title color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'rp_a',
					'default' => '000',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Related posts meta', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'rp_meta',
					'default' => '999',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Thumbnail background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'rp_thumb_bg',
					'default' => 'FFF',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Thumbnail border', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'rp_thumb_border',
					'default' => 'EEE',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Related posts
									  
$swift_design_options_init[] = array( 'name' => __( 'Author BIO', 'swift' ),
					'id' => 'rp-colors',
					'desc' => __('', 'swift' ),
					'type' => 'sub-heading',
					'datatype' => 'none');	
					
$swift_design_options_init[] = array( 'name' => __('Background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'ab_bg',
					'default' => 'e9eef8',
					'type' => 'color',
					'datatype' => 'color');								  

$swift_design_options_init[] = array( 'name' => __('Border', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'ab_border',
					'default' => 'DDD',
					'type' => 'color',
					'datatype' => 'color');								  


$swift_design_options_init[] = array( 'name' => __('Text color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'ab',
					'default' => 'AAA',
					'type' => 'color',
					'datatype' => 'color');	
					

$swift_design_options_init[] = array( 'name' => __('Link color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'ab_a',
					'default' => '000',
					'type' => 'color',
					'datatype' => 'color');						
				
$swift_design_options_init[] = array( 'name' => __('Link hover color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'ab_a_hover',
					'default' => 'C00',
					'type' => 'color',
					'datatype' => 'color');	

$swift_design_options_init[] = array( 'name' => __('Avatar backgroud', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'ab_avatar_bg',
					'default' => 'dfeafc',
					'type' => 'color',
					'datatype' => 'color');	
					
					
$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Author

$swift_design_options_init[] = array( 'name' => __( 'Magazine Box', 'swift' ),
					'id' => 'mag-colors',
					'desc' => __('', 'swift' ),
					'type' => 'sub-heading',
					'datatype' => 'none');	
					
$swift_design_options_init[] = array( 'name' => __('Background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'mag1_bg',
					'default' => 'f6f6f6',
					'type' => 'color',
					'datatype' => 'color');	

$swift_design_options_init[] = array( 'name' => __('Border', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'mag1_border',
					'default' => 'f6f6f6',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Thumbnail background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'mag1_thumb_bg',
					'default' => 'f6f6f6',
					'type' => 'color',
					'datatype' => 'color');

$swift_design_options_init[] = array( 'name' => __('Mag box footer bg', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'mag1_footer_bg',
					'default' => 'EEE',
					'type' => 'color',
					'datatype' => 'color');	


$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Magazine box

$swift_design_options_init[] = array( 'name' => __( 'Generic elements', 'swift' ),
					'id' => 'generic-element-colors',
					'desc' => __('', 'swift' ),
					'type' => 'sub-heading',
					'datatype' => 'none');	


$swift_design_options_init[] = array( 'name' => __('Button background', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'button_bg',
					'default' => 'F8F8F8',
					'type' => 'color',
					'datatype' => 'color');	

$swift_design_options_init[] = array( 'name' => __('Button gradient start color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'button_gradient_start',
					'default' => 'F6F6F6',
					'type' => 'color',
					'datatype' => 'color');	

$swift_design_options_init[] = array( 'name' => __('Button gradient stop color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'button_gradient_stop',
					'default' => 'EEE',
					'type' => 'color',
					'datatype' => 'color');	

$swift_design_options_init[] = array( 'name' => __('Button border color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'button_border',
					'default' => 'F2F2F2',
					'type' => 'color',
					'datatype' => 'color');	

$swift_design_options_init[] = array( 'name' => __('Button bottom border color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'button_bottom_border',
					'default' => 'DDD',
					'type' => 'color',
					'datatype' => 'color');	

$swift_design_options_init[] = array( 'name' => __('Button text color', 'swift' ),
					'desc' => __('', 'swift' ),
					'id' => 'button_text',
					'default' => '000',
					'type' => 'color',
					'datatype' => 'color');	

$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Generic options
$swift_design_options_init[] = 'color_options_end';

$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Closing color options

/*
$swift_design_options_init[] = array( 'name' => __( 'Font options', 'swift' ),
					'id' => 'font-options',
					'type' => 'heading',
					'datatype' => 'none');


$swift_design_options_init[] = array( 'name' => __( 'Text alignment', 'swift' ), 
					'desc' => __('Select the text alignment', 'swift'),
					'id' => 'body_text_align',
					'default' => 'left',
					'type' => 'radio',
					'options' => array( 'left'=>'left', 'justify' => 'justify', 'center' => 'center', 'right' => 'right' ),
					'datatype' => 'predefined');

$swift_design_options_init[] = array( 'type' => 'clear',
					'datatype' => 'none');

$swift_design_options_init[] = 'font_options_start';

$swift_design_options_init[] = array( 'name' => __('Custom font stack 1', 'swift' ),
					'desc' => __('Enter your font stack here, this will be appeneded to the font selection menu below. You should save the changes first for them to appear.', 'swift' ),
					'id' => 'fontstack1',
					'default' => '',
					'type' => 'text',
					'datatype' => 'text');

$swift_design_options_init[] = array( 'name' => __('Custom font stack 2', 'swift' ),
					'desc' => __('Enter your font stack here, this will be appeneded to the font selection menu below. You should save the changes first for them to appear.', 'swift' ),
					'id' => 'fontstack2',
					'default' => '',
					'type' => 'text',
					'datatype' => 'text');


$swift_design_options_init[] = array( 'name' => 'Fonts usage', 'swift',
					'id' => 'fonts-explanation',
                    'type' => 'explain',
					'desc' => '<strong>{p}, {t}, {p,t}</strong> at the end of font stack indicate that the stack is optimized for <strong>paragraphs, titles/headings and both</strong> respectively.',
					'datatype' => 'none' ); 

$swift_design_options_init[] = array( 'name' => __( 'Body', 'swift' ),
					'id' => 'body_font',
					'type' => 'font',
					'default' => '',
					'datatype' => 'font');

$swift_design_options_init[] = array( 'name' => __( 'Blog name', 'swift' ),
					'id' => 'blog_name_font',
					'type' => 'font',
					'default' => '',
					'datatype' => 'font');

$swift_design_options_init[] = array( 'name' => __( 'Blog tagline', 'swift' ),
					'id' => 'blog_tagline_font',
					'type' => 'font',
					'default' => '',
					'datatype' => 'font');

$swift_design_options_init[] = array( 'name' => __( 'Navigation font', 'swift' ),
					'id' => 'nav_font',
					'type' => 'font',
					'default' => '',
					'datatype' => 'font');

$swift_design_options_init[] = array( 'name' => __( 'Homepage post title ( Blog )', 'swift' ),
					'id' => 'home_post_title',
					'type' => 'font',
					'default' => '',
					'datatype' => 'font');

$swift_design_options_init[] = array( 'name' => __( 'Homepage post title ( Magazine )', 'swift' ),
					'id' => 'home_post_title_mag',
					'type' => 'font',
					'default' => '',
					'datatype' => 'font');

$swift_design_options_init[] = array( 'name' => __( 'Single page post title', 'swift' ),
					'id' => 'single_post_title',
					'type' => 'font',
					'default' => '',
					'datatype' => 'font');

$swift_design_options_init[] = array( 'name' => __( 'h1,h2...h6 tags used in posts', 'swift' ),
					'id' => 'heading_tags',
					'type' => 'font',
					'default' => '',
					'datatype' => 'font');

$swift_design_options_init[] = array( 'name' => __( 'Post meta', 'swift' ),
					'id' => 'post_meta_font',
					'type' => 'font',
					'default' => '',
					'datatype' => 'font');

$swift_design_options_init[] = array( 'name' => __( 'Sidebar widget title', 'swift' ),
					'id' => 'sidebar_title_font',
					'type' => 'font',
					'default' => '',
					'datatype' => 'font');

$swift_design_options_init[] = array( 'name' => __( 'Sidebar widget content', 'swift' ),
					'id' => 'sidebar_widget_font',
					'type' => 'font',
					'default' => '',
					'datatype' => 'font');

$swift_design_options_init[] = array( 'name' => __( 'Footer widget title', 'swift' ),
					'id' => 'footer_title_font',
					'type' => 'font',
					'default' => '',
					'datatype' => 'font');

$swift_design_options_init[] = array( 'name' => __( 'Footer widget content', 'swift' ),
					'id' => 'footer_widget_font',
					'type' => 'font',
					'default' => '',
					'datatype' => 'font');

$swift_design_options_init[] = array( 'name' => __( 'Copyright div', 'swift' ),
					'id' => 'copyright_font',
					'type' => 'font',
					'default' => '',
					'datatype' => 'font');


$swift_design_options_init[] = 'font_options_end';

$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Closing color options
*/
$swift_design_options_init[] = array( 'name' => __( 'Rounded corners', 'swift' ),
					'id' => 'rounded-corners',
					'type' => 'heading',
					'datatype' => 'none');


$swift_design_options_init[] = array( 'name' => __( 'Use rounded corners for solid navigation', 'swift' ),
					'id' => 'solid_nav_rounded',
					'desc' => __('You should disable rounded corners when your header and body background are different.', 'swift' ),
					'default' => TRUE,
					'type' => 'checkbox',
					'datatype' => 'bool');

$swift_design_options_init[] = array( 'name' => __( 'Use rounded corners for sidebar widgets', 'swift' ),
					'id' => 'sb_widget_rounded',
					'desc' => __('Check this box to enable rounded corners for sidebar widgets.', 'swift' ),
					'default' => FALSE,
					'type' => 'checkbox',
					'datatype' => 'bool');

$swift_design_options_init[] = array( 'name' => __( 'Use rounded corners for footer widgets', 'swift' ),
					'id' => 'footer_widget_rounded',
					'desc' => __('Check this box to enable rounded corners for footer widgets.', 'swift' ),
					'default' => FALSE,
					'type' => 'checkbox',
					'datatype' => 'bool');

$swift_design_options_init[] = array( 'name' => __( 'Use rounded corners for comments', 'swift' ),
					'id' => 'comment_rounded',
					'desc' => __('Check this box to enable rounded corners for comments.', 'swift' ),
					'default' => FALSE,
					'type' => 'checkbox',
					'datatype' => 'bool');


$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Closing color options

$swift_design_options_init[] = array( 'name' => __( 'User CSS', 'swift' ),
					'id' => 'user-css',
					'type' => 'heading',
					'datatype' => 'none');


$swift_design_options_init[] = array( 'name' => __( 'Enable custom colors', 'swift' ),
					'id' => 'enable_user_css',
					'desc' => __('Check this box to enable CSS', 'swift' ),
					'default' => TRUE,
					'type' => 'checkbox',
					'datatype' => 'bool');

$swift_design_options_init[] = array( 'name' => __('User CSS', 'swift' ),
					'desc' => __('Enter your Custom CSS code here.', 'swift' ),
					'id' => 'user_css',
					'default' => '',
					'type' => 'textarea',
					'datatype' => 'js'); 

$swift_design_options_init[] = array( 'type' => 'close',
									  'datatype' => 'none' ); // Closing general-settings



?>