<?php
/**
 * Swift Options Initialization
 * 
 * We define our theme options array here.
 */
$cats = get_categories( );
$cat_names = $cat_ids = array();
$cat_names[0] = 'Show recent posts';
foreach( $cats as $cat ){
$cat_names[$cat->cat_ID] = $cat->name;
}
GLOBAL $swift_options_init;
$swift_options_init[] = array( 'name' => __( 'tag', 'swift' ),
					'id' => 'which',
					'value' => 'options',
					'type' => 'hidden',
					'datatype' => 'hiddden');

$swift_options_init[] = array( 'name' => __( 'General settings', 'swift' ),
					'id' => 'general-settings',
					'type' => 'heading',
					'datatype' => 'none');


$swift_options_init[] = array( 'name' => __('Custom favicon', 'swift' ),
					'desc' => __('Upload or specify the URL of your favicon which is visible in browser favorites and tabs <strong>( Must be a .png or .ico file - 16px by 16px ).</strong>', 'swift' ),
					'id' => 'favicon',
					'default' => '',
					'type' => 'upload',
					'datatype' => 'uri');


$swift_options_init[] = array( 'name' => __('Feedburner ID', 'swift' ),
					'desc' => __('Enter your Feedburner ID, if your feedburner url is http://feeds.feedburner.com/SwiftThemes, then <strong>SwiftThemes</strong> is your feed ID.', 'swift' ),
					'id' => 'feedburnerid',
					'default' => '',
					'type' => 'text',
					'datatype' => 'text' );

$swift_options_init[] = array( 'name' => __('Header scripts', 'swift' ),
					'desc' => __('If you need to add scripts to your header (like Mint tracking code or BSA script ), you should enter them here. They will be added before &lt;/head&gt; tag.<br /><strong>Note</strong>: You can add multiple scripts.', 'swift' ),
					'id' => 'header_scripts',
					'default' => '',
					'type' => 'textarea',
					'datatype' => 'js'); 
 
$swift_options_init[] = array( 'name' => __('Footer scripts', 'swift' ),
					'desc' => __('Paste your Google Analytics (and/or any other) tracking code here. These scripts will be added in the footer section before the &lt;/body&gt; tag.<br /><strong>Note</strong>: You can add multiple scripts.', 'swift' ),
					'id' => 'footer_scripts',
					'default' => '',
					'type' => 'textarea',
					'datatype' => 'js'); 

$swift_options_init[] = array( 'name' => __('About us', 'swift' ),
					'desc' => __('If you are using the content width slider in combination with the full width magazine layout, information or AD added here will be shown adjacent to the slider.', 'swift' ),
					'id' => 'about_us',
					'default' => '',
					'type' => 'textarea',
					'datatype' => 'js'); 

$swift_options_init[] = array( 'name' => __('Default thumbnail image', 'swift' ),
					'desc' => __('Upload an image to be used as thumbnail when the post doesnt have one. If you are using the full width slider, image should be atleast 940px wide.', 'swift' ),
					'id' => 'default_thumb',
					'default' => get_template_directory_uri().'/images/default.png',
					'type' => 'upload',
					'datatype' => 'uri' );

$swift_options_init[] = array( 'type' => 'close',
						'datatype' => 'none' ); // Closing general-settings


/* Header Options */

$swift_options_init[] = array( 'name' => 'Header Options', 'swift',
					'id' => 'header-options',
                    'type' => 'heading',
					'datatype' => 'none' ); 

$swift_options_init[] = array( 'name' => __('Upload Logo', 'swift' ),
					'desc' => __('Upload a logo for your site, or specify an image URL directly.', 'swift' ),
					'id' => 'logo',
					'default' => '',
					'type' => 'upload',
					'datatype' => 'uri'); 


$swift_options_init[] = array( 'name' => __( 'Logo position', 'swift' ),
					'desc' => __( '', 'swift' ),
					'id' => 'logo_position',
					'default' => 'left',
					'type' => 'radio',
					'options' => array( 'left' => 'left', 'center' => 'center', 'right' => 'right' ),
					'datatype' => 'predefined' ); 

$swift_options_init[] = array( 'name' => __( 'Enter your custom search code', 'swift' ),
			        'desc' => __( 'If you have a custom search code, such as <strong>Adsense for Search</strong>, add it here.', 'swift' ),
			        'id' => 'search_code',
			        'type' => 'textarea',
					'default'=> '',
					'datatype' => 'javascript' ); 

$swift_options_init[] = array(  'name' => __( 'Show search form in navigation', 'swift' ),
        			'desc' => __( 'Check this box to show search form in navigation below logo', 'swift' ),
        			'id' => 'nav_search_enable',
        			'type' => 'checkbox',
        			'default' => true,
					'datatype' => 'boolean' ); 

$swift_options_init[] = array(  'name' => __( 'Show RSS links in navigation', 'swift' ),
        			'desc' => __( 'Check this box to show RSS links in navigation above logo', 'swift' ),
        			'id' => 'rss_links_enable',
        			'type' => 'checkbox',
        			'default' => true,
					'datatype' => 'boolean' ); 

$swift_options_init[] = array( 'type' => 'close',
						'datatype' => 'none' ); // Closing header-options


$swift_options_init[] = array( 'name' => 'Homepage Options', 'swift',
					'id' => 'homepage-options',
                    'type' => 'heading',
					'datatype' => 'none' ); 

$swift_options_init[] = array(  'name' => __( 'Enable featured post slider', 'swift' ),
        			'desc' => __( 'Check this box to enable featured post slider on home page.', 'swift' ),
        			'id' => 'slider_enable',
        			'type' => 'checkbox',
        			'default' => true,
					'datatype' => 'boolean' ); 

$swift_options_init[] = array( 'name' => __( 'Featured post slider style', 'swift' ),
					'desc' => __( 'Choose between the two sliders in SWIFT', 'swift' ),
					'id' => 'slider_style',
					'default' => 'content-width',
					'type' => 'radio',
					'options' => array( 'content-width' => 'content-width' ),
					'datatype' => 'predefined' ); 

$swift_options_init[] = array( 'name' => __( 'Featured slider category', 'swift' ),
					'desc' => __( 'Select the featured post slider category', 'swift' ),
			    	'id' => 'featured_cat_home',
			    	'default' => '',
			    	'type' => 'select',
					'options' => $cat_names,
					'datatype' => 'predefined' );

$swift_options_init[] = array( 'name' => __('Number of featured posts', 'swift' ),
					'desc' => __('Select the number of featured posts to be displayed in the slider.', 'swift' ),
					'id' => 'featured_posts_number_home',
					'default' => 3,
					'type' => 'select',
					'options' => array( 1=>1, 2=>2, 3=>3, 4=>4, 5=>5, 6=>6, 7=>7, 8=>8, 9=>9, 10=>10, 11=>11, 12=>12, 13=>13, 14=>14, 15=>15, 16=>16, 17=>17, 18=>18, 19=>19, 20=>20),
					'datatype' => 'predefined' ); 

$swift_options_init[] = array( 'name' => __( 'Slider speed', 'swift' ),
					'desc' => __( 'Set the slider speed in milli seconds, ie., 1000 for one second.', 'swift' ),
			    	'id' => 'slider_speed',
			    	'default' => '5000',
			    	'type' => 'text',
					'datatype' => 'int' );

$swift_options_init[] = array( 'name' => __( 'Slider transition style', 'swift' ),
					'desc' => __( 'fold,fade,sliceDown, default is random', 'swift' ),
			    	'id' => 'slider_transition',
			    	'default' => 'random',
			    	'type' => 'text',
					'datatype' => 'text' );

$swift_options_init[] = array(  'name' => __( 'Skip posts shown in slider from WP loop', 'swift' ),
        			'desc' => __( 'Check this box to avoid duplicate content on homepage ( Useful when using full width slider ).', 'swift' ),
        			'id' => 'skip_posts',
        			'type' => 'checkbox',
        			'default' => true,
					'datatype' => 'boolean' ); 


$swift_options_init[] = array(  'name' => __( 'Enable excerpts on home page', 'swift' ),
        			'desc' => __( 'Check this box to enable excerpts on homepage.', 'swift' ),
        			'id' => 'excerpts_enable',
        			'type' => 'checkbox',
        			'default' => true,
					'datatype' => 'boolean' ); 

$swift_options_init[] = array(  'name' => __( 'Display thumbnails', 'swift' ),
        			'desc' => __( 'Check this box to display thumbnails when excerpts are enabled. (Applicable only to blog layout)', 'swift' ),
        			'id' => 'excerpts_thumbs_enable',
        			'type' => 'checkbox',
        			'default' => true,
					'datatype' => 'boolean' ); 


$swift_options_init[] = array( 'name' => __( 'Single page, above title', 'swift' ),
					'desc' => __( 'Set the meta line to be displayed above title', 'swift' ),
					'id' => 'home_blog_meta',
					'default' => array( 'text', 'posted on ', 'date', 'by ', 'author' ),
					'type' => 'sortable',
					'options' => array( 'text', 'author', 'tags', 'categories', 'date' ),
					'datatype' => 'sortable' );

$swift_options_init[] = array( 'type' => 'close',
						'datatype' => 'none' ); // Closing homepage-options 



$swift_options_init[] = array( 'name' => 'Post meta', 'swift',
					'id' => 'post-meta',
                    'type' => 'heading',
					'datatype' => 'none' ); 


$swift_options_init[] = array( 'type' => 'clear',
						'datatype' => 'none' ); 

$swift_options_init[] = array( 'name' => 'Post meta', 'swift',
					'id' => 'post-meta-explanation',
                    'type' => 'explain',
					'desc' => '	Post meta is the administrative information provided along with the post, this includes <strong>author of the post, published date, how the post is categorized etc..</strong>
								This is usually displayed around the post title or at the end of the post.<br /><br />Here you can configure the post meta info displayed in single post page. Simply <strong>Drag and Drop</strong> 
								the tags you want to add to your Post. The Blank Box could be used to enter filler text like Written by: \'Author tag\' or Filed under: \'Categories\' etc.
								These tags can be placed both above and below the post title. Drag and Drop them to adjust them.',
					'datatype' => 'none' ); 


$swift_options_init[] = array( 'name' => __( 'Single page, above title', 'swift' ),
					'desc' => __( 'Set the meta line to be displayed above title', 'swift' ),
					'id' => 'single_above_title',
					'default' => array( 'text', 'posted on ', 'date', 'by ', 'author' ),
					'type' => 'sortable',
					'options' => array( 'text', 'author', 'tags', 'categories', 'date' ),
					'datatype' => 'sortable' );

$swift_options_init[] = array( 'name' => __( 'Single page, below title', 'swift' ),
					'desc' => __( 'Set the meta line to be displayed below title', 'swift' ),
					'id' => 'single_below_title',
					'default' => array( 'text', 'Filed under ', 'categories' ),
					'type' => 'sortable',
					'options' => array( 'text', 'author', 'tags', 'categories', 'date' ),
					'datatype' => 'sortable' );

$swift_options_init[] = array( 'type' => 'close',
						'datatype' => 'none' ); // Closing post-meta


$swift_options_init[] = array( 'name' => 'Ad management', 'swift',
					'id' => 'ad-management',
                    'type' => 'heading',
					'datatype' => 'none' );


$swift_options_init[] = array( 'type' => 'clear',
						'datatype' => 'none' ); 

$swift_options_init[] = array( 'name' => 'Ad management explanation', 'swift',
					'id' => 'ad-management-explanation',
                    'type' => 'explain',
					'desc' => '	Use the options below to display ads in different locations on your site. 
								You can add ads from any ad network, and any number of ads in a given location. <br />
								To add ads to the sidebar and footer, use <strong>text widget or widget without padding and border</strong>.',
					'datatype' => 'none' ); 


$swift_options_init[] = array(  'name' => __('Enable the ad area above the header', 'swift' ),
					'desc' => __('Check this box and enter the ad code below to display an advertisement above the top navigation', 'swift' ),
					'id' => 'above_header_ad_enable',
					'type' => 'checkbox',
					'default' => false,
					'datatype' => 'boolean'); 
					
$swift_options_init[] = array(    'name' => __('Ad Code', 'swift' ),
					'desc' => __('Enter your ad code here, preferably 468*60 ad', 'swift' ),
					'id' => 'above_header_ad',
					'type' => 'textarea',
					'default' => '',
					'datatype' => 'javascript'); 

$swift_options_init[] = array(  'name' => __('Enable the header ad area', 'swift' ),
					'desc' => __('Check this box and enter the ad code below to display an advertisement next to the blogname/logo.', 'swift' ),
					'id' => 'header_ad_enable',
					'type' => 'checkbox',
					'default' => false,
					'datatype' => 'boolean'); 
					
$swift_options_init[] = array(    'name' => __('Ad Code', 'swift' ),
					'desc' => __('Enter your ad code here, preferably 468*60 ad', 'swift' ),
					'id' => 'header_ad',
					'type' => 'textarea',
					'default' => '',
					'datatype' => 'javascript'); 


$swift_options_init[] = array(  'name' => __('Enable the ad area below the bottom navigation', 'swift' ),
					'desc' => __('Check this box and enter the ad code below to display an advertisement below the bottom navigation.', 'swift' ),
					'id' => 'nav_ad_enable',
					'type' => 'checkbox',
					'default' => false,
					'datatype' => 'boolean'); 
					
$swift_options_init[] = array(    'name' => __('Ad Code', 'swift' ),
					'desc' => __('Enter your ad code here, preferably a 728*15 link list unit, or a 728*90 lead-board ad.', 'swift' ),
					'id' => 'nav_ad',
					'type' => 'textarea',
					'default' => '',
					'datatype' => 'javascript'); 


$swift_options_init[] = array(  'name' => __('Enable the ad area below title on single post page', 'swift' ),
					'desc' => __('Check this box and enter the ad code below to display an advertisement below the post title on single post pages.', 'swift' ),
					'id' => 'before_content_ad_enable',
					'type' => 'checkbox',
					'default' => false,
					'datatype' => 'boolean'); 

$swift_options_init[] = array(    'name' => __('Ad Code', 'swift' ),
			        'desc' => __('Enter your ad code here, preferably a 468*60 ad to be displayed between the post\'s title and content, or a 120*600 skyscraper ad float-positioned to the left or the right of the post content. To float a skyscraper ad surround the ad code like this: &lt;div style=\'float: left; clear: left; margin: 0px 10px 10px 0px;\'&gt;AD CODE HERE&lt;/div&gt; or &lt;div style=\'float: right; clear: right; margin: 0px 0px 10px 10px;\'&gt;AD CODE HERE&lt;/div&gt;', 'swift' ),
			        'id' => 'before_content_ad',
			        'type' => 'textarea',
					'default' => '',
					'datatype' => 'javascript'); 


$swift_options_init[] = array(  'name' => __('Enable the ad area between the post content', 'swift' ),
					'desc' => __('Check this box and enter the ad code below to display an advertisement between the post content on single post pages.', 'swift' ),
					'id' => 'between_content_ad_enable',
					'type' => 'checkbox',
					'default' => false,
					'datatype' => 'boolean'); 

$swift_options_init[] = array(    'name' => __('Ad Code', 'swift' ),
			        'desc' => __('Enter your ad code here, preferably a 468*60 ad to be displayed after the post\'s content. For best results clear and center it surrounding the ad code like this: &lt;div style=\'clear: both; text-align: center; margin: 10px 0px 0px 0px;\'&gt;AD CODE HERE&lt;/div&gt;', 'swift' ),
			        'id' => 'between_content_ad',
			        'type' => 'textarea',
					'default' => '',
					'datatype' => 'javascript'); 

		
$swift_options_init[] = array(  'name' => __('Enable the ad area below the post text', 'swift' ),
					'desc' => __('Check this box and enter the ad code below to display an advertisement after the post content on single post pages.', 'swift' ),
					'id' => 'after_content_ad_enable',
					'type' => 'checkbox',
					'default' => false,
					'datatype' => 'boolean'); 

$swift_options_init[] = array(    'name' => __('Ad Code', 'swift' ),
			        'desc' => __('Enter your ad code here, preferably a 468*60 ad to be displayed after the post\'s content. For best results clear and center it surrounding the ad code like this: &lt;div style=\'clear: both; text-align: center; margin: 10px 0px 0px 0px;\'&gt;AD CODE HERE&lt;/div&gt;', 'swift' ),
			        'id' => 'after_content_ad',
			        'type' => 'textarea',
					'default' => '',
					'datatype' => 'javascript'); 

$swift_options_init[] = array(  'name' => __('Enable the ad area above the footer widgets', 'swift' ),
					'desc' => __('Check this box and enter the ad code below to display an advertisement above the footer widgets.', 'swift' ),
					'id' => 'footer_ad_enable',
					'type' => 'checkbox',
					'default' => false,
					'datatype' => 'boolean'); 

$swift_options_init[] = array(    'name' => __('Ad Code', 'swift' ),
			        'desc' => __('Enter your ad code here, preferably a 768*90 ad to be displayed above the footer widgets.', 'swift' ),
			        'id' => 'footer_ad',
			        'type' => 'textarea',
					'default' => '',
					'datatype' => 'javascript'); 

$swift_options_init[] = array(  'name' => __('Enable the ad area above the images in gallery', 'swift' ),
					'desc' => __('Check this box and enter the ad code below to display an advertisement above the image in image.php template', 'swift' ),
					'id' => 'image_above_ad_enable',
					'type' => 'checkbox',
					'default' => false,
					'datatype' => 'boolean'); 

$swift_options_init[] = array(    'name' => __('Ad Code', 'swift' ),
			        'desc' => __('Enter your ad code here, preferably a 768*90 ad to be displayed above the footer widgets.', 'swift' ),
			        'id' => 'image_above_ad',
			        'type' => 'textarea',
					'default' => '',
					'datatype' => 'javascript'); 

$swift_options_init[] = array(  'name' => __('Enable the ad area below the images in gallery', 'swift' ),
					'desc' => __('Check this box and enter the ad code below to display an advertisement below the image in image.php template', 'swift' ),
					'id' => 'image_below_ad_enable',
					'type' => 'checkbox',
					'default' => false,
					'datatype' => 'boolean'); 

$swift_options_init[] = array(    'name' => __('Ad Code', 'swift' ),
			        'desc' => __('Enter your ad code here, preferably a 768*90 ad to be displayed above the footer widgets.', 'swift' ),
			        'id' => 'image_below_ad',
			        'type' => 'textarea',
					'default' => '',
					'datatype' => 'javascript'); 

$swift_options_init[] = array( 'type' => 'close',
						'datatype' => 'none' ); // Closing ad-management

$swift_options_init[] = array( 'name' => __( 'Social media', 'swift' ),
					'id' => 'social-media',
					'type' => 'heading',
					'datatype' => 'none');

$swift_options_init[] = array( 'name' => __('Twitter', 'swift' ),
					'desc' => __('Enter your twitter user name, <strong>ex:SwifThemes</strong>', 'swift' ),
					'id' => 'sm_twitter',
					'default' => '',
					'type' => 'text',
					'datatype' => 'text' );

$swift_options_init[] = array( 'type' => 'close',
						'datatype' => 'none' ); // Social media